curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/virtual_key" \
-H "Authorization: Bearer {token}" \
-X "GET"
virtual_key = vehicle.request(
"GET",
"{make}/virtual_key"
)
const virtualKey = await vehicle.request(
"GET",
"{make}/virtual_key"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/virtual_key")
.build();
VehicleResponse virtualKey = vehicle.request(request);
virtual_key = vehicle.request(
"GET",
"{make}/virtual_key"
)
{
"isPaired": true
}
Tesla
Virtual Key Status
Indicates if a vehicle has the appropriate virtual key installed. See Tesla - Virtual Keys for more details on Tesla’s virtual key requirements.
GET
/
v2.0
/
vehicles
/
{id}
/
{make}
/
virtual_key
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/virtual_key" \
-H "Authorization: Bearer {token}" \
-X "GET"
virtual_key = vehicle.request(
"GET",
"{make}/virtual_key"
)
const virtualKey = await vehicle.request(
"GET",
"{make}/virtual_key"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/virtual_key")
.build();
VehicleResponse virtualKey = vehicle.request(request);
virtual_key = vehicle.request(
"GET",
"{make}/virtual_key"
)
{
"isPaired": true
}
This endpoint is currently available for
teslaPermission
read_vehicle_info
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/virtual_key" \
-H "Authorization: Bearer {token}" \
-X "GET"
virtual_key = vehicle.request(
"GET",
"{make}/virtual_key"
)
const virtualKey = await vehicle.request(
"GET",
"{make}/virtual_key"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/virtual_key")
.build();
VehicleResponse virtualKey = vehicle.request(request);
virtual_key = vehicle.request(
"GET",
"{make}/virtual_key"
)
Response
boolean
Returns
true if the vehicle has the appropriate Virtual Key installed. See Tesla - What’s New for more details on Tesla’s virtual key requirements.{
"isPaired": true
}
Notes
- This endpoint will throw a COMPATIBILITY:PLATFORM_NOT_CAPABLE error if a vehicle is connected to your application via Tesla’s legacy integration.
- This endpoint will throw a CONNECTED_SERVICES_ACCOUNT:VEHICLE_MISSING error if the Tesla account connected to Smartcar is not the Owner of the vehicle. See our FAQs for more information on Owner and Driver account types.
Was this page helpful?

